%define	name	vfu
%define	version	3.03
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	VFU is console (text mode) file manager for UNIX/Linux.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Shells
URL:		http://www.biscom.net/~cade/vfu
Vendor:		Vladi Belperchinov-Shabanski "Cade" <cade@biscom.net>
Source:		%{name}-%{version}.src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
VFU is console (text mode) file manager for UNIX. It has all usual
file oprations plus more:                      

- Extended completition and wildcard expansion                  
- Directory tree with sizes (incl. sizes cache)                 
- File-type colorization (extension and type)                   
- Archives support (TAR, TGZ, BZ2, and many more)               
- Simple FTP support through archive-like interface             
- Internal text/hex file viewer and editor (optional)           
- Extensive user-defined external support/utils                 
- Regular expressions selection and search                      
- Multiple file masks                                           
- One-key commands                                              
- And more...                                                       

%prep
%setup -q

%build
export CCDEF="${RPM_OPT_FLAGS}";
./build

cp -p ftparc/README ftparc/README-ftparc

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

mkdir -p ${RPM_BUILD_ROOT}/etc \
	 ${RPM_BUILD_ROOT}%{prefix}/bin \
	 ${RPM_BUILD_ROOT}%{prefix}/man/man1

install -m 644 vfu.conf		${RPM_BUILD_ROOT}/etc;
install -m 755 vfu/vfu		${RPM_BUILD_ROOT}%{prefix}/bin;
install -m 644 vfu.1		${RPM_BUILD_ROOT}%{prefix}/man/man1;
install -m 755 ftparc/ftparc	${RPM_BUILD_ROOT}%{prefix}/bin;
install -m 755 rx/rx_*		${RPM_BUILD_ROOT}%{prefix}/bin;

strip ${RPM_BUILD_ROOT}%{prefix}/bin/* || :;

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc CONFIG COPYING NOTES README.DOS THANKS.TO TODO vfu-3.00.lsm vfu.html
%doc VFU.txt VFU_HISTORY XWINDOW.NOTES
%doc vfu/COPYING vfu/README ftparc/README-ftparc
%config /etc/vfu.conf
%{prefix}/bin/vfu
%{prefix}/bin/ftparc
%{prefix}/bin/rx_*
%{prefix}/man/man1/vfu.1*

%changelog
* Tue Jan  9 2001 Ryan Weaver <ryanw@infohwy.com>
  [vfu-3.03-1]
- Documentation fixed to address directory bookmarks in the
  vfu.conf correctly. ( bookmark#=path )
- Added option for VFU to handle Ctrl+Z, Ctrl+C, Ctrl+\ as 
  it is expected (suspend,interrupt,quit).
  To use it you have to export UNICON_NO_RAW environment var
  with any value. ( for bash: `export UNICON_NO_RAW=1' )
- User menu is fixed.
- Change directory completion menu is now sorted.
- Sequential rename function added (Tools/Rename menu)
- Now directory sizes cache is removed from the directory
  tree, so you can have directory sizes saved even if you
  don't have directory tree built.

* Tue Aug  1 2000 Ryan Weaver <ryanw@infohwy.com>
  [vfu-3.02-1]
- Several DJGPP (DOS/Win9x) portability fixups.
- Fixed problem with input line for long directory names.
- Fixed directory tree sizes calculation.
- Added inode size cache for directories that are new to the currently
  saved directory tree. (unix version only)
- Fixed major bug in file move procedure.
- Fixed extension masking `for all' in user externals.
- Now all path lists in vfu.conf (like TrimTree) are `:' separated
  (or `;' for dos version) 

* Thu Jun  8 2000 Ryan Weaver <ryanw@infohwy.com>
  [vfu-3.01-1]
- Fixed SeeEditor bug when editing new files (that does not exist)
- Fixed install script to se correct permissions.
- Fixed build.netbsd to se correct global configuration files locations.
- GlobalSelect/HideDotFiles added.
- Fixed build.netbsd.
- Now directory tree automation (rescanning etc.) is
  disabled by default (see Options/AutoDirTree).
- Fixed zero-sized files bug in SeeViewer.
- Alt+B browse/view current file w/o filters.
- Now install script set sample config file into /etc (to get personal
  config file you have to copy /etc/vfu.conf to ~/.vfu/vfu.conf
  or ~/$RC_PREFIX/vfu/vfu.conf if you have set $RC_PREFIX )
- Ctrl+L refresh/redraw page problem is now fixed.
- Several little fixups.

* Mon May 22 2000 Ryan Weaver <ryanw@infohwy.com>
  [vfu-3.00-1]
- There are no big changes in the user interface and feel.
- Now reading/extracting archives is removed from inside
  VFU to external (perl) utilities. This will help adding
  new archives and debugging existing ones.
- Now archives' structure is followed as the local file
  system, i.e. you will browse directory by directory
  but not the whole archive content as before. Perhaps
  option for recursive (whole content) browsing will be
  added in the future.
- Now you can cancel copy/move procedures at stage you
  want even during single file copy process!
  (It was not possible in older versions)
- The rare problem of showing total percentages over 100%
  during copy/move is finally (and hopefully:)) fixed.
- Now files in archive can be masked and files mask can
  be changed inside archive.
- Some access/terminal emulation problems are fixed.
  ( i.e. some `difficult' key functions are accessible
  and from menus etc. )

* Thu Jun  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.51-1]
- Added a patch to makefiles to pass RPM opt flags to make.
- Made RPM relocatable.

- 1.51: 31.May.99
- Debian `.deb' packages are now supported as archives!
- All paths containing `dir/..' are reduced.
- Now arcive files are recognized by longer extensions
  like `.tar.gz'. Result is proper handling of `.tar.gz'
  and `.tar.bz2' archives.
- Added SEE Viewer filters. Now you can view gzipped files
  and or add filters for viewing man pages etc.     
- Added ready `panelizers' command to the RescanMenu
  ( key Ctrl+R ) Can be used as menu alternative to
  external panelize option.
- SEE screen draws improved and `< >' bug is fixed.
- GetDirName function now allows dirs only.
- Added UserMenu ( key `U' ). User external commands
  can be attached not to key but to this menu.
- Bash/Unix-style filename completion added!
- Bash/Unix-style completion is now default one!
- Now entries in the filelist can be moved ( see
  ArrangeMenu/MoveEntry )
- Now VFU keeps current file postition after change 
  of sort order.
- Better preserve/copy mode/protection when copy/move
  directory subtrees. ( from RO media for example )
- Fixed erase of own directories without `write'
  permission/mode.     
- More examples and comments added to the sampe
  configuration file: vfu.conf. 

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.50-1]
- 1.50
- This is primarily bugfix release, supposed to form
  final stable release with all planned features. :)
- CR_LF problem in Seed is now solved.
- Total/Free space calculation problem is fixed.
- GlobalSelect/Grep file search problem (finally!) fixed.
- EditEntry/OwnerGroup now accepts `user' format
  instead of `user.' (i.e. no trailing dot required)
- Fixed problem with Seed and new files (create).
- `/etc/DIR_COLORS' loads properly now, even if
  vfu.conf doesn't exist.
- Items (files/dirs) colors are changed properly now after
  mode/protection change.
- Now VFU shows and current hostname.
- AutoIndent option added to Seed ( key: Ctrl+T )
- Fixed problem with free space check before Copy/Move.
- VFU will not resort files after Ctrl+Z on directory and
  sort order is `size'.
- Preliminary man page added. ( vfu.1 )

* Mon Mar 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.46-1]
- 1.46: 19.Mar.99
- Support for /etc/DIR_COLORS (for file-type colorization)
  See Option/UseEtcDirColors.
- Small internal Text editor added! (can be used as
  emergency editor if no other available)
  See Option/UseInternalEditor.
- Added Lynx-like arrow keys navigation:
  UpArrow/DownArrow    -- scroll list
  LeftArrow/RightArrow -- enter/exit/cdup
  See Options/AltArrowsNavigate.
- Separate histories to all input lines. Use
  PageUp/PageDown to recall.
- Now SymLink references can be edited in-place.
  See EditEntry(key TAB)/EditSymLinkReference(key L).
- File Find results can be panelized now.
- The usual bugfixes ( not important really ).
- Changed location for personal config and other related files,
  now default place is `$HOME/.vfu'. Changed VFU config file
  name from `vfurc' to `vfu.conf'.
  Please read CONFIG file!
- Now the internal Viewer and Editor (See/Seed) have separate
  options files. The `see(d).options' location is
  `$HOME/$RC_PREFIX/.see(d)/see(d).options'.

* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.45-2]
- Bugfix....

* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.45-1]
- 1.45: 03.Mar.99
- `%i' and `%n' macros added. (See abov for details)
- Now VFU won't expand masks if you enter external scan/panelize
  command in the file mask field.
- Now VFU will remember internal file viewer options during the
  same session.
- GlobalSelect/SelectSame/Type(TP) function added.
- HexEditor added! See the help in the internal file viewer
  ( press `I' in the HEX mode of the internal file viewer )
- Fixed pattern searching function ( it didn't work before with
  patterns that contains char codes >128 sometimes )
- FTP support! See above for details.
- Few bugfixes as usual...

* Wed Feb 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.44-1]
- 1.44: 14.Feb.98
- Auto mounting on change directory added.
  ( see Options/AutoMount )
  If you chdir to a directory which contains only
  one file named `automount', then VFU will try to
  mount this directory automatically. After mounting
  `automount' file won't be visible. You can create
  file with `echo > automount' command.
- Unmount feature added to the `JumpToMountpoint'
  menu ( key `j' ).
- PreserveSelection option added. If this option is
  enabled VFU will preserve selected files after
  rescanning files list. ( see Options menu )
- Added Ctrl+Z key to the Directory Tree View for
  update the current (under cursor) directory size.
- Fixed tilde `~' expansion -- now standalone
  `~' or `~username' are expanded properly.
- RecursiveRescanning can be canceled with ESC now.
- Options(Toggles) separators bug fixed.
- User External Utilities are enabled in InArchive mode
  as it should be. (considered bug)
- Dotfiles `.filename' colorization fixed.

- 1.43: 12.Feb.98
- Now VFU supports properly screens >80x25
  (fixed bug with 80-columns filename view)
- ENTER has priority now for entering into archives
  than executing user external program.
- Added option for handling .TGZ equally to .tgz, i.e.
  case insensitive archive extension detection.
- RenameTools added to the tools menu (key `T')
- Added one more location for global vfurc file: `/etc/'
  it is searched first. Can be changed through VFU_RCPATH0
  define.
- Now $HOME/.vfurc is primary if exists ( before global
  vfurc's as it should be ) considered as bug :)
- ENTER key behavior changed:
  If not defined for user external utility, ENTER works
  as browse/view. It also assumed equal to '+' or '=' for
  archives ( i.e. cannot be redefined for archives,
  there's INSERT and Fx alternatives, however if someone
  needs ENTER for this I probably can change it ).
- MenuBorders option added. It can improve menu visibility
  on mono/colorless terminals.

* Thu Feb  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [vfu-1.42-1]
- First RPM Build
- 1.42: 03.Feb.98
- + feature add
    1. External scanning ( panelize ).
       Just enter `command |' in the files masks input line
       to use it ( i.e. instead of "*.txt" enter
       "find / -name '*.txt'" ).
- ! bugfix
    2. The problem with files/dirs' sizes >2GB is now fixed!
